package com.mortals.xhx.module.dept.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
/**
* 部门绩效分数统计查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class DeptPerformStatQuery extends DeptPerformStatEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 部门绩效总分数 */
    private BigDecimal totalScoreStart;

    /** 结束 部门绩效总分数 */
    private BigDecimal totalScoreEnd;

    /** 增加 部门绩效总分数 */
    private BigDecimal totalScoreIncrement;

    /** 部门绩效总分数列表 */
    private List <BigDecimal> totalScoreList;

    /** 部门绩效总分数排除列表 */
    private List <BigDecimal> totalScoreNotList;

    /** 开始 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddStart;

    /** 结束 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddEnd;

    /** 增加 考勤绩效指标增加分数 */
    private BigDecimal attendScoreAddIncrement;

    /** 考勤绩效指标增加分数列表 */
    private List <BigDecimal> attendScoreAddList;

    /** 考勤绩效指标增加分数排除列表 */
    private List <BigDecimal> attendScoreAddNotList;

    /** 开始 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubStart;

    /** 结束 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubEnd;

    /** 增加 考勤绩效指标扣减分数 */
    private BigDecimal attendScoreSubIncrement;

    /** 考勤绩效指标扣减分数列表 */
    private List <BigDecimal> attendScoreSubList;

    /** 考勤绩效指标扣减分数排除列表 */
    private List <BigDecimal> attendScoreSubNotList;

    /** 开始 评价绩效指标增加分数 */
    private BigDecimal assessScoreAddStart;

    /** 结束 评价绩效指标增加分数 */
    private BigDecimal assessScoreAddEnd;

    /** 增加 评价绩效指标增加分数 */
    private BigDecimal assessScoreAddIncrement;

    /** 评价绩效指标增加分数列表 */
    private List <BigDecimal> assessScoreAddList;

    /** 评价绩效指标增加分数排除列表 */
    private List <BigDecimal> assessScoreAddNotList;

    /** 开始 评价绩效指标扣减分数 */
    private BigDecimal assessScoreSubStart;

    /** 结束 评价绩效指标扣减分数 */
    private BigDecimal assessScoreSubEnd;

    /** 增加 评价绩效指标扣减分数 */
    private BigDecimal assessScoreSubIncrement;

    /** 评价绩效指标扣减分数列表 */
    private List <BigDecimal> assessScoreSubList;

    /** 评价绩效指标扣减分数排除列表 */
    private List <BigDecimal> assessScoreSubNotList;

    /** 开始 办件绩效指标增加分数 */
    private BigDecimal workScoreAddStart;

    /** 结束 办件绩效指标增加分数 */
    private BigDecimal workScoreAddEnd;

    /** 增加 办件绩效指标增加分数 */
    private BigDecimal workScoreAddIncrement;

    /** 办件绩效指标增加分数列表 */
    private List <BigDecimal> workScoreAddList;

    /** 办件绩效指标增加分数排除列表 */
    private List <BigDecimal> workScoreAddNotList;

    /** 开始 办件绩效指标扣减分数 */
    private BigDecimal workScoreSubStart;

    /** 结束 办件绩效指标扣减分数 */
    private BigDecimal workScoreSubEnd;

    /** 增加 办件绩效指标扣减分数 */
    private BigDecimal workScoreSubIncrement;

    /** 办件绩效指标扣减分数列表 */
    private List <BigDecimal> workScoreSubList;

    /** 办件绩效指标扣减分数排除列表 */
    private List <BigDecimal> workScoreSubNotList;

    /** 开始 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddStart;

    /** 结束 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddEnd;

    /** 增加 效能绩效指标增加分数 */
    private BigDecimal effectScoreAddIncrement;

    /** 效能绩效指标增加分数列表 */
    private List <BigDecimal> effectScoreAddList;

    /** 效能绩效指标增加分数排除列表 */
    private List <BigDecimal> effectScoreAddNotList;

    /** 开始 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubStart;

    /** 结束 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubEnd;

    /** 增加 效能绩效指标扣减分数 */
    private BigDecimal effectScoreSubIncrement;

    /** 效能绩效指标扣减分数列表 */
    private List <BigDecimal> effectScoreSubList;

    /** 效能绩效指标扣减分数排除列表 */
    private List <BigDecimal> effectScoreSubNotList;

    /** 开始 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddStart;

    /** 结束 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddEnd;

    /** 增加 其它绩效指标增加分数 */
    private BigDecimal otherScoreAddIncrement;

    /** 其它绩效指标增加分数列表 */
    private List <BigDecimal> otherScoreAddList;

    /** 其它绩效指标增加分数排除列表 */
    private List <BigDecimal> otherScoreAddNotList;

    /** 开始 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubStart;

    /** 结束 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubEnd;

    /** 增加 其它绩效指标扣减分数 */
    private BigDecimal otherScoreSubIncrement;

    /** 其它绩效指标扣减分数列表 */
    private List <BigDecimal> otherScoreSubList;

    /** 其它绩效指标扣减分数排除列表 */
    private List <BigDecimal> otherScoreSubNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeptPerformStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeptPerformStatQuery> andConditionList;

    public DeptPerformStatQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 部门id号
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id号
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id号
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id号
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门id号
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门id号
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 部门绩效总分数
    * @return totalScoreStart
    */
    public BigDecimal getTotalScoreStart(){
        return this.totalScoreStart;
    }

    /**
    * 设置 开始 部门绩效总分数
    * @param totalScoreStart
    */
    public void setTotalScoreStart(BigDecimal totalScoreStart){
        this.totalScoreStart = totalScoreStart;
    }

    /**
    * 获取 结束 部门绩效总分数
    * @return $totalScoreEnd
    */
    public BigDecimal getTotalScoreEnd(){
        return this.totalScoreEnd;
    }

    /**
    * 设置 结束 部门绩效总分数
    * @param totalScoreEnd
    */
    public void setTotalScoreEnd(BigDecimal totalScoreEnd){
        this.totalScoreEnd = totalScoreEnd;
    }

    /**
    * 获取 增加 部门绩效总分数
    * @return totalScoreIncrement
    */
    public BigDecimal getTotalScoreIncrement(){
        return this.totalScoreIncrement;
    }

    /**
    * 设置 增加 部门绩效总分数
    * @param totalScoreIncrement
    */
    public void setTotalScoreIncrement(BigDecimal totalScoreIncrement){
        this.totalScoreIncrement = totalScoreIncrement;
    }

    /**
    * 获取 部门绩效总分数
    * @return totalScoreList
    */
    public List<BigDecimal> getTotalScoreList(){
        return this.totalScoreList;
    }

    /**
    * 设置 部门绩效总分数
    * @param totalScoreList
    */
    public void setTotalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
    }

    /**
    * 获取 部门绩效总分数
    * @return totalScoreNotList
    */
    public List<BigDecimal> getTotalScoreNotList(){
        return this.totalScoreNotList;
    }

    /**
    * 设置 部门绩效总分数
    * @param totalScoreNotList
    */
    public void setTotalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
    }


    /**
    * 获取 开始 考勤绩效指标增加分数
    * @return attendScoreAddStart
    */
    public BigDecimal getAttendScoreAddStart(){
        return this.attendScoreAddStart;
    }

    /**
    * 设置 开始 考勤绩效指标增加分数
    * @param attendScoreAddStart
    */
    public void setAttendScoreAddStart(BigDecimal attendScoreAddStart){
        this.attendScoreAddStart = attendScoreAddStart;
    }

    /**
    * 获取 结束 考勤绩效指标增加分数
    * @return $attendScoreAddEnd
    */
    public BigDecimal getAttendScoreAddEnd(){
        return this.attendScoreAddEnd;
    }

    /**
    * 设置 结束 考勤绩效指标增加分数
    * @param attendScoreAddEnd
    */
    public void setAttendScoreAddEnd(BigDecimal attendScoreAddEnd){
        this.attendScoreAddEnd = attendScoreAddEnd;
    }

    /**
    * 获取 增加 考勤绩效指标增加分数
    * @return attendScoreAddIncrement
    */
    public BigDecimal getAttendScoreAddIncrement(){
        return this.attendScoreAddIncrement;
    }

    /**
    * 设置 增加 考勤绩效指标增加分数
    * @param attendScoreAddIncrement
    */
    public void setAttendScoreAddIncrement(BigDecimal attendScoreAddIncrement){
        this.attendScoreAddIncrement = attendScoreAddIncrement;
    }

    /**
    * 获取 考勤绩效指标增加分数
    * @return attendScoreAddList
    */
    public List<BigDecimal> getAttendScoreAddList(){
        return this.attendScoreAddList;
    }

    /**
    * 设置 考勤绩效指标增加分数
    * @param attendScoreAddList
    */
    public void setAttendScoreAddList(List<BigDecimal> attendScoreAddList){
        this.attendScoreAddList = attendScoreAddList;
    }

    /**
    * 获取 考勤绩效指标增加分数
    * @return attendScoreAddNotList
    */
    public List<BigDecimal> getAttendScoreAddNotList(){
        return this.attendScoreAddNotList;
    }

    /**
    * 设置 考勤绩效指标增加分数
    * @param attendScoreAddNotList
    */
    public void setAttendScoreAddNotList(List<BigDecimal> attendScoreAddNotList){
        this.attendScoreAddNotList = attendScoreAddNotList;
    }


    /**
    * 获取 开始 考勤绩效指标扣减分数
    * @return attendScoreSubStart
    */
    public BigDecimal getAttendScoreSubStart(){
        return this.attendScoreSubStart;
    }

    /**
    * 设置 开始 考勤绩效指标扣减分数
    * @param attendScoreSubStart
    */
    public void setAttendScoreSubStart(BigDecimal attendScoreSubStart){
        this.attendScoreSubStart = attendScoreSubStart;
    }

    /**
    * 获取 结束 考勤绩效指标扣减分数
    * @return $attendScoreSubEnd
    */
    public BigDecimal getAttendScoreSubEnd(){
        return this.attendScoreSubEnd;
    }

    /**
    * 设置 结束 考勤绩效指标扣减分数
    * @param attendScoreSubEnd
    */
    public void setAttendScoreSubEnd(BigDecimal attendScoreSubEnd){
        this.attendScoreSubEnd = attendScoreSubEnd;
    }

    /**
    * 获取 增加 考勤绩效指标扣减分数
    * @return attendScoreSubIncrement
    */
    public BigDecimal getAttendScoreSubIncrement(){
        return this.attendScoreSubIncrement;
    }

    /**
    * 设置 增加 考勤绩效指标扣减分数
    * @param attendScoreSubIncrement
    */
    public void setAttendScoreSubIncrement(BigDecimal attendScoreSubIncrement){
        this.attendScoreSubIncrement = attendScoreSubIncrement;
    }

    /**
    * 获取 考勤绩效指标扣减分数
    * @return attendScoreSubList
    */
    public List<BigDecimal> getAttendScoreSubList(){
        return this.attendScoreSubList;
    }

    /**
    * 设置 考勤绩效指标扣减分数
    * @param attendScoreSubList
    */
    public void setAttendScoreSubList(List<BigDecimal> attendScoreSubList){
        this.attendScoreSubList = attendScoreSubList;
    }

    /**
    * 获取 考勤绩效指标扣减分数
    * @return attendScoreSubNotList
    */
    public List<BigDecimal> getAttendScoreSubNotList(){
        return this.attendScoreSubNotList;
    }

    /**
    * 设置 考勤绩效指标扣减分数
    * @param attendScoreSubNotList
    */
    public void setAttendScoreSubNotList(List<BigDecimal> attendScoreSubNotList){
        this.attendScoreSubNotList = attendScoreSubNotList;
    }


    /**
    * 获取 开始 评价绩效指标增加分数
    * @return assessScoreAddStart
    */
    public BigDecimal getAssessScoreAddStart(){
        return this.assessScoreAddStart;
    }

    /**
    * 设置 开始 评价绩效指标增加分数
    * @param assessScoreAddStart
    */
    public void setAssessScoreAddStart(BigDecimal assessScoreAddStart){
        this.assessScoreAddStart = assessScoreAddStart;
    }

    /**
    * 获取 结束 评价绩效指标增加分数
    * @return $assessScoreAddEnd
    */
    public BigDecimal getAssessScoreAddEnd(){
        return this.assessScoreAddEnd;
    }

    /**
    * 设置 结束 评价绩效指标增加分数
    * @param assessScoreAddEnd
    */
    public void setAssessScoreAddEnd(BigDecimal assessScoreAddEnd){
        this.assessScoreAddEnd = assessScoreAddEnd;
    }

    /**
    * 获取 增加 评价绩效指标增加分数
    * @return assessScoreAddIncrement
    */
    public BigDecimal getAssessScoreAddIncrement(){
        return this.assessScoreAddIncrement;
    }

    /**
    * 设置 增加 评价绩效指标增加分数
    * @param assessScoreAddIncrement
    */
    public void setAssessScoreAddIncrement(BigDecimal assessScoreAddIncrement){
        this.assessScoreAddIncrement = assessScoreAddIncrement;
    }

    /**
    * 获取 评价绩效指标增加分数
    * @return assessScoreAddList
    */
    public List<BigDecimal> getAssessScoreAddList(){
        return this.assessScoreAddList;
    }

    /**
    * 设置 评价绩效指标增加分数
    * @param assessScoreAddList
    */
    public void setAssessScoreAddList(List<BigDecimal> assessScoreAddList){
        this.assessScoreAddList = assessScoreAddList;
    }

    /**
    * 获取 评价绩效指标增加分数
    * @return assessScoreAddNotList
    */
    public List<BigDecimal> getAssessScoreAddNotList(){
        return this.assessScoreAddNotList;
    }

    /**
    * 设置 评价绩效指标增加分数
    * @param assessScoreAddNotList
    */
    public void setAssessScoreAddNotList(List<BigDecimal> assessScoreAddNotList){
        this.assessScoreAddNotList = assessScoreAddNotList;
    }


    /**
    * 获取 开始 评价绩效指标扣减分数
    * @return assessScoreSubStart
    */
    public BigDecimal getAssessScoreSubStart(){
        return this.assessScoreSubStart;
    }

    /**
    * 设置 开始 评价绩效指标扣减分数
    * @param assessScoreSubStart
    */
    public void setAssessScoreSubStart(BigDecimal assessScoreSubStart){
        this.assessScoreSubStart = assessScoreSubStart;
    }

    /**
    * 获取 结束 评价绩效指标扣减分数
    * @return $assessScoreSubEnd
    */
    public BigDecimal getAssessScoreSubEnd(){
        return this.assessScoreSubEnd;
    }

    /**
    * 设置 结束 评价绩效指标扣减分数
    * @param assessScoreSubEnd
    */
    public void setAssessScoreSubEnd(BigDecimal assessScoreSubEnd){
        this.assessScoreSubEnd = assessScoreSubEnd;
    }

    /**
    * 获取 增加 评价绩效指标扣减分数
    * @return assessScoreSubIncrement
    */
    public BigDecimal getAssessScoreSubIncrement(){
        return this.assessScoreSubIncrement;
    }

    /**
    * 设置 增加 评价绩效指标扣减分数
    * @param assessScoreSubIncrement
    */
    public void setAssessScoreSubIncrement(BigDecimal assessScoreSubIncrement){
        this.assessScoreSubIncrement = assessScoreSubIncrement;
    }

    /**
    * 获取 评价绩效指标扣减分数
    * @return assessScoreSubList
    */
    public List<BigDecimal> getAssessScoreSubList(){
        return this.assessScoreSubList;
    }

    /**
    * 设置 评价绩效指标扣减分数
    * @param assessScoreSubList
    */
    public void setAssessScoreSubList(List<BigDecimal> assessScoreSubList){
        this.assessScoreSubList = assessScoreSubList;
    }

    /**
    * 获取 评价绩效指标扣减分数
    * @return assessScoreSubNotList
    */
    public List<BigDecimal> getAssessScoreSubNotList(){
        return this.assessScoreSubNotList;
    }

    /**
    * 设置 评价绩效指标扣减分数
    * @param assessScoreSubNotList
    */
    public void setAssessScoreSubNotList(List<BigDecimal> assessScoreSubNotList){
        this.assessScoreSubNotList = assessScoreSubNotList;
    }


    /**
    * 获取 开始 办件绩效指标增加分数
    * @return workScoreAddStart
    */
    public BigDecimal getWorkScoreAddStart(){
        return this.workScoreAddStart;
    }

    /**
    * 设置 开始 办件绩效指标增加分数
    * @param workScoreAddStart
    */
    public void setWorkScoreAddStart(BigDecimal workScoreAddStart){
        this.workScoreAddStart = workScoreAddStart;
    }

    /**
    * 获取 结束 办件绩效指标增加分数
    * @return $workScoreAddEnd
    */
    public BigDecimal getWorkScoreAddEnd(){
        return this.workScoreAddEnd;
    }

    /**
    * 设置 结束 办件绩效指标增加分数
    * @param workScoreAddEnd
    */
    public void setWorkScoreAddEnd(BigDecimal workScoreAddEnd){
        this.workScoreAddEnd = workScoreAddEnd;
    }

    /**
    * 获取 增加 办件绩效指标增加分数
    * @return workScoreAddIncrement
    */
    public BigDecimal getWorkScoreAddIncrement(){
        return this.workScoreAddIncrement;
    }

    /**
    * 设置 增加 办件绩效指标增加分数
    * @param workScoreAddIncrement
    */
    public void setWorkScoreAddIncrement(BigDecimal workScoreAddIncrement){
        this.workScoreAddIncrement = workScoreAddIncrement;
    }

    /**
    * 获取 办件绩效指标增加分数
    * @return workScoreAddList
    */
    public List<BigDecimal> getWorkScoreAddList(){
        return this.workScoreAddList;
    }

    /**
    * 设置 办件绩效指标增加分数
    * @param workScoreAddList
    */
    public void setWorkScoreAddList(List<BigDecimal> workScoreAddList){
        this.workScoreAddList = workScoreAddList;
    }

    /**
    * 获取 办件绩效指标增加分数
    * @return workScoreAddNotList
    */
    public List<BigDecimal> getWorkScoreAddNotList(){
        return this.workScoreAddNotList;
    }

    /**
    * 设置 办件绩效指标增加分数
    * @param workScoreAddNotList
    */
    public void setWorkScoreAddNotList(List<BigDecimal> workScoreAddNotList){
        this.workScoreAddNotList = workScoreAddNotList;
    }


    /**
    * 获取 开始 办件绩效指标扣减分数
    * @return workScoreSubStart
    */
    public BigDecimal getWorkScoreSubStart(){
        return this.workScoreSubStart;
    }

    /**
    * 设置 开始 办件绩效指标扣减分数
    * @param workScoreSubStart
    */
    public void setWorkScoreSubStart(BigDecimal workScoreSubStart){
        this.workScoreSubStart = workScoreSubStart;
    }

    /**
    * 获取 结束 办件绩效指标扣减分数
    * @return $workScoreSubEnd
    */
    public BigDecimal getWorkScoreSubEnd(){
        return this.workScoreSubEnd;
    }

    /**
    * 设置 结束 办件绩效指标扣减分数
    * @param workScoreSubEnd
    */
    public void setWorkScoreSubEnd(BigDecimal workScoreSubEnd){
        this.workScoreSubEnd = workScoreSubEnd;
    }

    /**
    * 获取 增加 办件绩效指标扣减分数
    * @return workScoreSubIncrement
    */
    public BigDecimal getWorkScoreSubIncrement(){
        return this.workScoreSubIncrement;
    }

    /**
    * 设置 增加 办件绩效指标扣减分数
    * @param workScoreSubIncrement
    */
    public void setWorkScoreSubIncrement(BigDecimal workScoreSubIncrement){
        this.workScoreSubIncrement = workScoreSubIncrement;
    }

    /**
    * 获取 办件绩效指标扣减分数
    * @return workScoreSubList
    */
    public List<BigDecimal> getWorkScoreSubList(){
        return this.workScoreSubList;
    }

    /**
    * 设置 办件绩效指标扣减分数
    * @param workScoreSubList
    */
    public void setWorkScoreSubList(List<BigDecimal> workScoreSubList){
        this.workScoreSubList = workScoreSubList;
    }

    /**
    * 获取 办件绩效指标扣减分数
    * @return workScoreSubNotList
    */
    public List<BigDecimal> getWorkScoreSubNotList(){
        return this.workScoreSubNotList;
    }

    /**
    * 设置 办件绩效指标扣减分数
    * @param workScoreSubNotList
    */
    public void setWorkScoreSubNotList(List<BigDecimal> workScoreSubNotList){
        this.workScoreSubNotList = workScoreSubNotList;
    }


    /**
    * 获取 开始 效能绩效指标增加分数
    * @return effectScoreAddStart
    */
    public BigDecimal getEffectScoreAddStart(){
        return this.effectScoreAddStart;
    }

    /**
    * 设置 开始 效能绩效指标增加分数
    * @param effectScoreAddStart
    */
    public void setEffectScoreAddStart(BigDecimal effectScoreAddStart){
        this.effectScoreAddStart = effectScoreAddStart;
    }

    /**
    * 获取 结束 效能绩效指标增加分数
    * @return $effectScoreAddEnd
    */
    public BigDecimal getEffectScoreAddEnd(){
        return this.effectScoreAddEnd;
    }

    /**
    * 设置 结束 效能绩效指标增加分数
    * @param effectScoreAddEnd
    */
    public void setEffectScoreAddEnd(BigDecimal effectScoreAddEnd){
        this.effectScoreAddEnd = effectScoreAddEnd;
    }

    /**
    * 获取 增加 效能绩效指标增加分数
    * @return effectScoreAddIncrement
    */
    public BigDecimal getEffectScoreAddIncrement(){
        return this.effectScoreAddIncrement;
    }

    /**
    * 设置 增加 效能绩效指标增加分数
    * @param effectScoreAddIncrement
    */
    public void setEffectScoreAddIncrement(BigDecimal effectScoreAddIncrement){
        this.effectScoreAddIncrement = effectScoreAddIncrement;
    }

    /**
    * 获取 效能绩效指标增加分数
    * @return effectScoreAddList
    */
    public List<BigDecimal> getEffectScoreAddList(){
        return this.effectScoreAddList;
    }

    /**
    * 设置 效能绩效指标增加分数
    * @param effectScoreAddList
    */
    public void setEffectScoreAddList(List<BigDecimal> effectScoreAddList){
        this.effectScoreAddList = effectScoreAddList;
    }

    /**
    * 获取 效能绩效指标增加分数
    * @return effectScoreAddNotList
    */
    public List<BigDecimal> getEffectScoreAddNotList(){
        return this.effectScoreAddNotList;
    }

    /**
    * 设置 效能绩效指标增加分数
    * @param effectScoreAddNotList
    */
    public void setEffectScoreAddNotList(List<BigDecimal> effectScoreAddNotList){
        this.effectScoreAddNotList = effectScoreAddNotList;
    }


    /**
    * 获取 开始 效能绩效指标扣减分数
    * @return effectScoreSubStart
    */
    public BigDecimal getEffectScoreSubStart(){
        return this.effectScoreSubStart;
    }

    /**
    * 设置 开始 效能绩效指标扣减分数
    * @param effectScoreSubStart
    */
    public void setEffectScoreSubStart(BigDecimal effectScoreSubStart){
        this.effectScoreSubStart = effectScoreSubStart;
    }

    /**
    * 获取 结束 效能绩效指标扣减分数
    * @return $effectScoreSubEnd
    */
    public BigDecimal getEffectScoreSubEnd(){
        return this.effectScoreSubEnd;
    }

    /**
    * 设置 结束 效能绩效指标扣减分数
    * @param effectScoreSubEnd
    */
    public void setEffectScoreSubEnd(BigDecimal effectScoreSubEnd){
        this.effectScoreSubEnd = effectScoreSubEnd;
    }

    /**
    * 获取 增加 效能绩效指标扣减分数
    * @return effectScoreSubIncrement
    */
    public BigDecimal getEffectScoreSubIncrement(){
        return this.effectScoreSubIncrement;
    }

    /**
    * 设置 增加 效能绩效指标扣减分数
    * @param effectScoreSubIncrement
    */
    public void setEffectScoreSubIncrement(BigDecimal effectScoreSubIncrement){
        this.effectScoreSubIncrement = effectScoreSubIncrement;
    }

    /**
    * 获取 效能绩效指标扣减分数
    * @return effectScoreSubList
    */
    public List<BigDecimal> getEffectScoreSubList(){
        return this.effectScoreSubList;
    }

    /**
    * 设置 效能绩效指标扣减分数
    * @param effectScoreSubList
    */
    public void setEffectScoreSubList(List<BigDecimal> effectScoreSubList){
        this.effectScoreSubList = effectScoreSubList;
    }

    /**
    * 获取 效能绩效指标扣减分数
    * @return effectScoreSubNotList
    */
    public List<BigDecimal> getEffectScoreSubNotList(){
        return this.effectScoreSubNotList;
    }

    /**
    * 设置 效能绩效指标扣减分数
    * @param effectScoreSubNotList
    */
    public void setEffectScoreSubNotList(List<BigDecimal> effectScoreSubNotList){
        this.effectScoreSubNotList = effectScoreSubNotList;
    }


    /**
    * 获取 开始 其它绩效指标增加分数
    * @return otherScoreAddStart
    */
    public BigDecimal getOtherScoreAddStart(){
        return this.otherScoreAddStart;
    }

    /**
    * 设置 开始 其它绩效指标增加分数
    * @param otherScoreAddStart
    */
    public void setOtherScoreAddStart(BigDecimal otherScoreAddStart){
        this.otherScoreAddStart = otherScoreAddStart;
    }

    /**
    * 获取 结束 其它绩效指标增加分数
    * @return $otherScoreAddEnd
    */
    public BigDecimal getOtherScoreAddEnd(){
        return this.otherScoreAddEnd;
    }

    /**
    * 设置 结束 其它绩效指标增加分数
    * @param otherScoreAddEnd
    */
    public void setOtherScoreAddEnd(BigDecimal otherScoreAddEnd){
        this.otherScoreAddEnd = otherScoreAddEnd;
    }

    /**
    * 获取 增加 其它绩效指标增加分数
    * @return otherScoreAddIncrement
    */
    public BigDecimal getOtherScoreAddIncrement(){
        return this.otherScoreAddIncrement;
    }

    /**
    * 设置 增加 其它绩效指标增加分数
    * @param otherScoreAddIncrement
    */
    public void setOtherScoreAddIncrement(BigDecimal otherScoreAddIncrement){
        this.otherScoreAddIncrement = otherScoreAddIncrement;
    }

    /**
    * 获取 其它绩效指标增加分数
    * @return otherScoreAddList
    */
    public List<BigDecimal> getOtherScoreAddList(){
        return this.otherScoreAddList;
    }

    /**
    * 设置 其它绩效指标增加分数
    * @param otherScoreAddList
    */
    public void setOtherScoreAddList(List<BigDecimal> otherScoreAddList){
        this.otherScoreAddList = otherScoreAddList;
    }

    /**
    * 获取 其它绩效指标增加分数
    * @return otherScoreAddNotList
    */
    public List<BigDecimal> getOtherScoreAddNotList(){
        return this.otherScoreAddNotList;
    }

    /**
    * 设置 其它绩效指标增加分数
    * @param otherScoreAddNotList
    */
    public void setOtherScoreAddNotList(List<BigDecimal> otherScoreAddNotList){
        this.otherScoreAddNotList = otherScoreAddNotList;
    }


    /**
    * 获取 开始 其它绩效指标扣减分数
    * @return otherScoreSubStart
    */
    public BigDecimal getOtherScoreSubStart(){
        return this.otherScoreSubStart;
    }

    /**
    * 设置 开始 其它绩效指标扣减分数
    * @param otherScoreSubStart
    */
    public void setOtherScoreSubStart(BigDecimal otherScoreSubStart){
        this.otherScoreSubStart = otherScoreSubStart;
    }

    /**
    * 获取 结束 其它绩效指标扣减分数
    * @return $otherScoreSubEnd
    */
    public BigDecimal getOtherScoreSubEnd(){
        return this.otherScoreSubEnd;
    }

    /**
    * 设置 结束 其它绩效指标扣减分数
    * @param otherScoreSubEnd
    */
    public void setOtherScoreSubEnd(BigDecimal otherScoreSubEnd){
        this.otherScoreSubEnd = otherScoreSubEnd;
    }

    /**
    * 获取 增加 其它绩效指标扣减分数
    * @return otherScoreSubIncrement
    */
    public BigDecimal getOtherScoreSubIncrement(){
        return this.otherScoreSubIncrement;
    }

    /**
    * 设置 增加 其它绩效指标扣减分数
    * @param otherScoreSubIncrement
    */
    public void setOtherScoreSubIncrement(BigDecimal otherScoreSubIncrement){
        this.otherScoreSubIncrement = otherScoreSubIncrement;
    }

    /**
    * 获取 其它绩效指标扣减分数
    * @return otherScoreSubList
    */
    public List<BigDecimal> getOtherScoreSubList(){
        return this.otherScoreSubList;
    }

    /**
    * 设置 其它绩效指标扣减分数
    * @param otherScoreSubList
    */
    public void setOtherScoreSubList(List<BigDecimal> otherScoreSubList){
        this.otherScoreSubList = otherScoreSubList;
    }

    /**
    * 获取 其它绩效指标扣减分数
    * @return otherScoreSubNotList
    */
    public List<BigDecimal> getOtherScoreSubNotList(){
        return this.otherScoreSubNotList;
    }

    /**
    * 设置 其它绩效指标扣减分数
    * @param otherScoreSubNotList
    */
    public void setOtherScoreSubNotList(List<BigDecimal> otherScoreSubNotList){
        this.otherScoreSubNotList = otherScoreSubNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeptPerformStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeptPerformStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeptPerformStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeptPerformStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeptPerformStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public DeptPerformStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  部门id号
    * @param deptId
    */
    public DeptPerformStatQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public DeptPerformStatQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public DeptPerformStatQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public DeptPerformStatQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public DeptPerformStatQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门id号
        * @param deptIdNotList
        */
        public DeptPerformStatQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public DeptPerformStatQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public DeptPerformStatQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  部门绩效总分数
    * @param totalScore
    */
    public DeptPerformStatQuery totalScore(BigDecimal totalScore){
	    setTotalScore(totalScore);
		return this;
    }
	
	 /**
    * 设置 开始 部门绩效总分数
    * @param totalScoreStart
    */
    public DeptPerformStatQuery totalScoreStart(BigDecimal totalScoreStart){
		this.totalScoreStart = totalScoreStart;
		return this;
    }

    /**
    * 设置 结束 部门绩效总分数
    * @param totalScoreEnd
    */
    public DeptPerformStatQuery totalScoreEnd(BigDecimal totalScoreEnd){
		this.totalScoreEnd = totalScoreEnd;
		return this;
    }

    /**
    * 设置 增加 部门绩效总分数
    * @param totalScoreIncrement
    */
    public DeptPerformStatQuery totalScoreIncrement(BigDecimal totalScoreIncrement){
		this.totalScoreIncrement = totalScoreIncrement;
		return this;
    }

    /**
    * 设置 部门绩效总分数
    * @param totalScoreList
    */
    public DeptPerformStatQuery totalScoreList(List<BigDecimal> totalScoreList){
        this.totalScoreList = totalScoreList;
		return this;
        }

        /**
        * 设置 部门绩效总分数
        * @param totalScoreNotList
        */
        public DeptPerformStatQuery totalScoreNotList(List<BigDecimal> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
        return this;
        }

    /**
    * 设置  考勤绩效指标增加分数
    * @param attendScoreAdd
    */
    public DeptPerformStatQuery attendScoreAdd(BigDecimal attendScoreAdd){
	    setAttendScoreAdd(attendScoreAdd);
		return this;
    }
	
	 /**
    * 设置 开始 考勤绩效指标增加分数
    * @param attendScoreAddStart
    */
    public DeptPerformStatQuery attendScoreAddStart(BigDecimal attendScoreAddStart){
		this.attendScoreAddStart = attendScoreAddStart;
		return this;
    }

    /**
    * 设置 结束 考勤绩效指标增加分数
    * @param attendScoreAddEnd
    */
    public DeptPerformStatQuery attendScoreAddEnd(BigDecimal attendScoreAddEnd){
		this.attendScoreAddEnd = attendScoreAddEnd;
		return this;
    }

    /**
    * 设置 增加 考勤绩效指标增加分数
    * @param attendScoreAddIncrement
    */
    public DeptPerformStatQuery attendScoreAddIncrement(BigDecimal attendScoreAddIncrement){
		this.attendScoreAddIncrement = attendScoreAddIncrement;
		return this;
    }

    /**
    * 设置 考勤绩效指标增加分数
    * @param attendScoreAddList
    */
    public DeptPerformStatQuery attendScoreAddList(List<BigDecimal> attendScoreAddList){
        this.attendScoreAddList = attendScoreAddList;
		return this;
        }

        /**
        * 设置 考勤绩效指标增加分数
        * @param attendScoreAddNotList
        */
        public DeptPerformStatQuery attendScoreAddNotList(List<BigDecimal> attendScoreAddNotList){
        this.attendScoreAddNotList = attendScoreAddNotList;
        return this;
        }

    /**
    * 设置  考勤绩效指标扣减分数
    * @param attendScoreSub
    */
    public DeptPerformStatQuery attendScoreSub(BigDecimal attendScoreSub){
	    setAttendScoreSub(attendScoreSub);
		return this;
    }
	
	 /**
    * 设置 开始 考勤绩效指标扣减分数
    * @param attendScoreSubStart
    */
    public DeptPerformStatQuery attendScoreSubStart(BigDecimal attendScoreSubStart){
		this.attendScoreSubStart = attendScoreSubStart;
		return this;
    }

    /**
    * 设置 结束 考勤绩效指标扣减分数
    * @param attendScoreSubEnd
    */
    public DeptPerformStatQuery attendScoreSubEnd(BigDecimal attendScoreSubEnd){
		this.attendScoreSubEnd = attendScoreSubEnd;
		return this;
    }

    /**
    * 设置 增加 考勤绩效指标扣减分数
    * @param attendScoreSubIncrement
    */
    public DeptPerformStatQuery attendScoreSubIncrement(BigDecimal attendScoreSubIncrement){
		this.attendScoreSubIncrement = attendScoreSubIncrement;
		return this;
    }

    /**
    * 设置 考勤绩效指标扣减分数
    * @param attendScoreSubList
    */
    public DeptPerformStatQuery attendScoreSubList(List<BigDecimal> attendScoreSubList){
        this.attendScoreSubList = attendScoreSubList;
		return this;
        }

        /**
        * 设置 考勤绩效指标扣减分数
        * @param attendScoreSubNotList
        */
        public DeptPerformStatQuery attendScoreSubNotList(List<BigDecimal> attendScoreSubNotList){
        this.attendScoreSubNotList = attendScoreSubNotList;
        return this;
        }

    /**
    * 设置  评价绩效指标增加分数
    * @param assessScoreAdd
    */
    public DeptPerformStatQuery assessScoreAdd(BigDecimal assessScoreAdd){
	    setAssessScoreAdd(assessScoreAdd);
		return this;
    }
	
	 /**
    * 设置 开始 评价绩效指标增加分数
    * @param assessScoreAddStart
    */
    public DeptPerformStatQuery assessScoreAddStart(BigDecimal assessScoreAddStart){
		this.assessScoreAddStart = assessScoreAddStart;
		return this;
    }

    /**
    * 设置 结束 评价绩效指标增加分数
    * @param assessScoreAddEnd
    */
    public DeptPerformStatQuery assessScoreAddEnd(BigDecimal assessScoreAddEnd){
		this.assessScoreAddEnd = assessScoreAddEnd;
		return this;
    }

    /**
    * 设置 增加 评价绩效指标增加分数
    * @param assessScoreAddIncrement
    */
    public DeptPerformStatQuery assessScoreAddIncrement(BigDecimal assessScoreAddIncrement){
		this.assessScoreAddIncrement = assessScoreAddIncrement;
		return this;
    }

    /**
    * 设置 评价绩效指标增加分数
    * @param assessScoreAddList
    */
    public DeptPerformStatQuery assessScoreAddList(List<BigDecimal> assessScoreAddList){
        this.assessScoreAddList = assessScoreAddList;
		return this;
        }

        /**
        * 设置 评价绩效指标增加分数
        * @param assessScoreAddNotList
        */
        public DeptPerformStatQuery assessScoreAddNotList(List<BigDecimal> assessScoreAddNotList){
        this.assessScoreAddNotList = assessScoreAddNotList;
        return this;
        }

    /**
    * 设置  评价绩效指标扣减分数
    * @param assessScoreSub
    */
    public DeptPerformStatQuery assessScoreSub(BigDecimal assessScoreSub){
	    setAssessScoreSub(assessScoreSub);
		return this;
    }
	
	 /**
    * 设置 开始 评价绩效指标扣减分数
    * @param assessScoreSubStart
    */
    public DeptPerformStatQuery assessScoreSubStart(BigDecimal assessScoreSubStart){
		this.assessScoreSubStart = assessScoreSubStart;
		return this;
    }

    /**
    * 设置 结束 评价绩效指标扣减分数
    * @param assessScoreSubEnd
    */
    public DeptPerformStatQuery assessScoreSubEnd(BigDecimal assessScoreSubEnd){
		this.assessScoreSubEnd = assessScoreSubEnd;
		return this;
    }

    /**
    * 设置 增加 评价绩效指标扣减分数
    * @param assessScoreSubIncrement
    */
    public DeptPerformStatQuery assessScoreSubIncrement(BigDecimal assessScoreSubIncrement){
		this.assessScoreSubIncrement = assessScoreSubIncrement;
		return this;
    }

    /**
    * 设置 评价绩效指标扣减分数
    * @param assessScoreSubList
    */
    public DeptPerformStatQuery assessScoreSubList(List<BigDecimal> assessScoreSubList){
        this.assessScoreSubList = assessScoreSubList;
		return this;
        }

        /**
        * 设置 评价绩效指标扣减分数
        * @param assessScoreSubNotList
        */
        public DeptPerformStatQuery assessScoreSubNotList(List<BigDecimal> assessScoreSubNotList){
        this.assessScoreSubNotList = assessScoreSubNotList;
        return this;
        }

    /**
    * 设置  办件绩效指标增加分数
    * @param workScoreAdd
    */
    public DeptPerformStatQuery workScoreAdd(BigDecimal workScoreAdd){
	    setWorkScoreAdd(workScoreAdd);
		return this;
    }
	
	 /**
    * 设置 开始 办件绩效指标增加分数
    * @param workScoreAddStart
    */
    public DeptPerformStatQuery workScoreAddStart(BigDecimal workScoreAddStart){
		this.workScoreAddStart = workScoreAddStart;
		return this;
    }

    /**
    * 设置 结束 办件绩效指标增加分数
    * @param workScoreAddEnd
    */
    public DeptPerformStatQuery workScoreAddEnd(BigDecimal workScoreAddEnd){
		this.workScoreAddEnd = workScoreAddEnd;
		return this;
    }

    /**
    * 设置 增加 办件绩效指标增加分数
    * @param workScoreAddIncrement
    */
    public DeptPerformStatQuery workScoreAddIncrement(BigDecimal workScoreAddIncrement){
		this.workScoreAddIncrement = workScoreAddIncrement;
		return this;
    }

    /**
    * 设置 办件绩效指标增加分数
    * @param workScoreAddList
    */
    public DeptPerformStatQuery workScoreAddList(List<BigDecimal> workScoreAddList){
        this.workScoreAddList = workScoreAddList;
		return this;
        }

        /**
        * 设置 办件绩效指标增加分数
        * @param workScoreAddNotList
        */
        public DeptPerformStatQuery workScoreAddNotList(List<BigDecimal> workScoreAddNotList){
        this.workScoreAddNotList = workScoreAddNotList;
        return this;
        }

    /**
    * 设置  办件绩效指标扣减分数
    * @param workScoreSub
    */
    public DeptPerformStatQuery workScoreSub(BigDecimal workScoreSub){
	    setWorkScoreSub(workScoreSub);
		return this;
    }
	
	 /**
    * 设置 开始 办件绩效指标扣减分数
    * @param workScoreSubStart
    */
    public DeptPerformStatQuery workScoreSubStart(BigDecimal workScoreSubStart){
		this.workScoreSubStart = workScoreSubStart;
		return this;
    }

    /**
    * 设置 结束 办件绩效指标扣减分数
    * @param workScoreSubEnd
    */
    public DeptPerformStatQuery workScoreSubEnd(BigDecimal workScoreSubEnd){
		this.workScoreSubEnd = workScoreSubEnd;
		return this;
    }

    /**
    * 设置 增加 办件绩效指标扣减分数
    * @param workScoreSubIncrement
    */
    public DeptPerformStatQuery workScoreSubIncrement(BigDecimal workScoreSubIncrement){
		this.workScoreSubIncrement = workScoreSubIncrement;
		return this;
    }

    /**
    * 设置 办件绩效指标扣减分数
    * @param workScoreSubList
    */
    public DeptPerformStatQuery workScoreSubList(List<BigDecimal> workScoreSubList){
        this.workScoreSubList = workScoreSubList;
		return this;
        }

        /**
        * 设置 办件绩效指标扣减分数
        * @param workScoreSubNotList
        */
        public DeptPerformStatQuery workScoreSubNotList(List<BigDecimal> workScoreSubNotList){
        this.workScoreSubNotList = workScoreSubNotList;
        return this;
        }

    /**
    * 设置  效能绩效指标增加分数
    * @param effectScoreAdd
    */
    public DeptPerformStatQuery effectScoreAdd(BigDecimal effectScoreAdd){
	    setEffectScoreAdd(effectScoreAdd);
		return this;
    }
	
	 /**
    * 设置 开始 效能绩效指标增加分数
    * @param effectScoreAddStart
    */
    public DeptPerformStatQuery effectScoreAddStart(BigDecimal effectScoreAddStart){
		this.effectScoreAddStart = effectScoreAddStart;
		return this;
    }

    /**
    * 设置 结束 效能绩效指标增加分数
    * @param effectScoreAddEnd
    */
    public DeptPerformStatQuery effectScoreAddEnd(BigDecimal effectScoreAddEnd){
		this.effectScoreAddEnd = effectScoreAddEnd;
		return this;
    }

    /**
    * 设置 增加 效能绩效指标增加分数
    * @param effectScoreAddIncrement
    */
    public DeptPerformStatQuery effectScoreAddIncrement(BigDecimal effectScoreAddIncrement){
		this.effectScoreAddIncrement = effectScoreAddIncrement;
		return this;
    }

    /**
    * 设置 效能绩效指标增加分数
    * @param effectScoreAddList
    */
    public DeptPerformStatQuery effectScoreAddList(List<BigDecimal> effectScoreAddList){
        this.effectScoreAddList = effectScoreAddList;
		return this;
        }

        /**
        * 设置 效能绩效指标增加分数
        * @param effectScoreAddNotList
        */
        public DeptPerformStatQuery effectScoreAddNotList(List<BigDecimal> effectScoreAddNotList){
        this.effectScoreAddNotList = effectScoreAddNotList;
        return this;
        }

    /**
    * 设置  效能绩效指标扣减分数
    * @param effectScoreSub
    */
    public DeptPerformStatQuery effectScoreSub(BigDecimal effectScoreSub){
	    setEffectScoreSub(effectScoreSub);
		return this;
    }
	
	 /**
    * 设置 开始 效能绩效指标扣减分数
    * @param effectScoreSubStart
    */
    public DeptPerformStatQuery effectScoreSubStart(BigDecimal effectScoreSubStart){
		this.effectScoreSubStart = effectScoreSubStart;
		return this;
    }

    /**
    * 设置 结束 效能绩效指标扣减分数
    * @param effectScoreSubEnd
    */
    public DeptPerformStatQuery effectScoreSubEnd(BigDecimal effectScoreSubEnd){
		this.effectScoreSubEnd = effectScoreSubEnd;
		return this;
    }

    /**
    * 设置 增加 效能绩效指标扣减分数
    * @param effectScoreSubIncrement
    */
    public DeptPerformStatQuery effectScoreSubIncrement(BigDecimal effectScoreSubIncrement){
		this.effectScoreSubIncrement = effectScoreSubIncrement;
		return this;
    }

    /**
    * 设置 效能绩效指标扣减分数
    * @param effectScoreSubList
    */
    public DeptPerformStatQuery effectScoreSubList(List<BigDecimal> effectScoreSubList){
        this.effectScoreSubList = effectScoreSubList;
		return this;
        }

        /**
        * 设置 效能绩效指标扣减分数
        * @param effectScoreSubNotList
        */
        public DeptPerformStatQuery effectScoreSubNotList(List<BigDecimal> effectScoreSubNotList){
        this.effectScoreSubNotList = effectScoreSubNotList;
        return this;
        }

    /**
    * 设置  其它绩效指标增加分数
    * @param otherScoreAdd
    */
    public DeptPerformStatQuery otherScoreAdd(BigDecimal otherScoreAdd){
	    setOtherScoreAdd(otherScoreAdd);
		return this;
    }
	
	 /**
    * 设置 开始 其它绩效指标增加分数
    * @param otherScoreAddStart
    */
    public DeptPerformStatQuery otherScoreAddStart(BigDecimal otherScoreAddStart){
		this.otherScoreAddStart = otherScoreAddStart;
		return this;
    }

    /**
    * 设置 结束 其它绩效指标增加分数
    * @param otherScoreAddEnd
    */
    public DeptPerformStatQuery otherScoreAddEnd(BigDecimal otherScoreAddEnd){
		this.otherScoreAddEnd = otherScoreAddEnd;
		return this;
    }

    /**
    * 设置 增加 其它绩效指标增加分数
    * @param otherScoreAddIncrement
    */
    public DeptPerformStatQuery otherScoreAddIncrement(BigDecimal otherScoreAddIncrement){
		this.otherScoreAddIncrement = otherScoreAddIncrement;
		return this;
    }

    /**
    * 设置 其它绩效指标增加分数
    * @param otherScoreAddList
    */
    public DeptPerformStatQuery otherScoreAddList(List<BigDecimal> otherScoreAddList){
        this.otherScoreAddList = otherScoreAddList;
		return this;
        }

        /**
        * 设置 其它绩效指标增加分数
        * @param otherScoreAddNotList
        */
        public DeptPerformStatQuery otherScoreAddNotList(List<BigDecimal> otherScoreAddNotList){
        this.otherScoreAddNotList = otherScoreAddNotList;
        return this;
        }

    /**
    * 设置  其它绩效指标扣减分数
    * @param otherScoreSub
    */
    public DeptPerformStatQuery otherScoreSub(BigDecimal otherScoreSub){
	    setOtherScoreSub(otherScoreSub);
		return this;
    }
	
	 /**
    * 设置 开始 其它绩效指标扣减分数
    * @param otherScoreSubStart
    */
    public DeptPerformStatQuery otherScoreSubStart(BigDecimal otherScoreSubStart){
		this.otherScoreSubStart = otherScoreSubStart;
		return this;
    }

    /**
    * 设置 结束 其它绩效指标扣减分数
    * @param otherScoreSubEnd
    */
    public DeptPerformStatQuery otherScoreSubEnd(BigDecimal otherScoreSubEnd){
		this.otherScoreSubEnd = otherScoreSubEnd;
		return this;
    }

    /**
    * 设置 增加 其它绩效指标扣减分数
    * @param otherScoreSubIncrement
    */
    public DeptPerformStatQuery otherScoreSubIncrement(BigDecimal otherScoreSubIncrement){
		this.otherScoreSubIncrement = otherScoreSubIncrement;
		return this;
    }

    /**
    * 设置 其它绩效指标扣减分数
    * @param otherScoreSubList
    */
    public DeptPerformStatQuery otherScoreSubList(List<BigDecimal> otherScoreSubList){
        this.otherScoreSubList = otherScoreSubList;
		return this;
        }

        /**
        * 设置 其它绩效指标扣减分数
        * @param otherScoreSubNotList
        */
        public DeptPerformStatQuery otherScoreSubNotList(List<BigDecimal> otherScoreSubNotList){
        this.otherScoreSubNotList = otherScoreSubNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public DeptPerformStatQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DeptPerformStatQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  年
    * @param year
    */
    public DeptPerformStatQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public DeptPerformStatQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public DeptPerformStatQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public DeptPerformStatQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public DeptPerformStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public DeptPerformStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public DeptPerformStatQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public DeptPerformStatQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public DeptPerformStatQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public DeptPerformStatQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public DeptPerformStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public DeptPerformStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public DeptPerformStatQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public DeptPerformStatQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public DeptPerformStatQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public DeptPerformStatQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public DeptPerformStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public DeptPerformStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public DeptPerformStatQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public DeptPerformStatQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public DeptPerformStatQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public DeptPerformStatQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public DeptPerformStatQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public DeptPerformStatQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public DeptPerformStatQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public DeptPerformStatQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public DeptPerformStatQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public DeptPerformStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public DeptPerformStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public DeptPerformStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeptPerformStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeptPerformStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeptPerformStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeptPerformStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}